function im = gab_array(img_width, img_height, patch_w, patch_h, points, orientations, sigma, f)

N = size(points, 1);
im = 0.5*ones(img_height, img_width);
sc_w= 1 : patch_w ;
sc_h= 1 : patch_h ;
[y x] = meshgrid(sc_w,sc_h); % To keep x <-> i (1st coordinate) and y <->j (2nd coordinate)
cw = (1 + patch_w)/2;
ch = (1 + patch_h)/2;

for i = 1:N,
    gab_patch = sym_gab_fun01((x-ch)/patch_h, (y-cw)/patch_w, sigma, f, orientations(i));
    xc = points(i,1);
    yc = points(i,2);
    x_coord_start = max( round(xc - patch_w/2), 1 );
    x_coord_end = min(x_coord_start + patch_w - 1, img_width);
    x_side = x_coord_start : x_coord_end ;
    y_coord_start = max( round(yc - patch_h/2), 1 );
    y_coord_end = min(y_coord_start + patch_h - 1, img_height);
    y_side = y_coord_start : y_coord_end ;
    %im(y_side, x_side) = gab_patch(1:length(y_side), 1:length(x_side));
    im(x_side, y_side) = gab_patch(1:length(x_side), 1:length(y_side));
end

im = im';
im = im(end:-1:1,:);